Bug 693406 - Incorrect screen resolution and rendering of desktop content after waking up from sleep
Incorrect screen resolution and rendering of desktop content after waking up ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-04 10:56 EDT by mvanek
Modified: 2013-03-13 00:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 08:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mvanek 2011-04-04 10:56:25 EDT
Description of problem:

With described configuration (below) the screen was locked and put to sleep. After waking up the screen resolution is incorrect (lower) and screen content is rendered according to the previous resolution, which makes borders of the screen invisible, so that it almost impossible to even find the dialog for changing the resolution back.

Monitor configuration:
1) Laptop - set to be disabled
2) Samsung SyncMaster B2240 - set to 1680 x 1050 x 60 Hz
--------------------------------------------------------
Power management (On AC power):
Put computer to sleep when inactive for: Never
Put display to sleep when inactive for: 30 minutes


Version-Release number of selected component (if applicable):
gnome-screensaver-2.30.2-2.fc14.x86_64

How reproducible:

Steps to Reproduce:
1. Set monitors as mentioned above.
2. Lock screen & go to lunch.
3. Approx. in one of three cases the resolution is broken.
  
Actual results:


Expected results:
The resolution stays as it was set.

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2011-06-21 11:57:55 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Kevin 2011-12-16 17:16:24 EST
My system shows exactly the same symptoms.  Yet, this is using Mandriva 2010.2 and without gnome-screensaver at all.  My "*screensav*" installed RPMs are:

kdeartwork4-kscreensaver-4.4.5-0.2mdv2010.2
mandriva-theme-Powerpack-screensaver-1.4.7-2mdv2010.1
libxcb-screensaver0-1.6-1mdv2010.1
libkscreensaver5-4.4.5-0.2mdv2010.2

My work-around for the problem is to power cycle the Samsung monitor.  It sure is annoying.

FYI....
Comment 3 mvanek 2012-06-27 08:48:33 EDT
Not reporting any other Fedora bugs again cause its a waste of my time.

Note You need to log in before you can comment on or make changes to this bug.